summaryrefslogtreecommitdiffstats
path: root/source/a/procps
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /source/a/procps
downloadcurrent-slackware-13.0.tar.gz
current-slackware-13.0.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'source/a/procps')
-rw-r--r--source/a/procps/procinfo.gcc3.diff11
-rw-r--r--source/a/procps/procinfo.lsm15
-rw-r--r--source/a/procps/procps-3.2.7-ps-eip64.diff48
-rwxr-xr-xsource/a/procps/procps.SlackBuild191
-rw-r--r--source/a/procps/procps.nowarning.diff25
-rw-r--r--source/a/procps/procps.w.showfrom.diff11
-rw-r--r--source/a/procps/slack-desc19
7 files changed, 320 insertions, 0 deletions
diff --git a/source/a/procps/procinfo.gcc3.diff b/source/a/procps/procinfo.gcc3.diff
new file mode 100644
index 000000000..96a3dbb19
--- /dev/null
+++ b/source/a/procps/procinfo.gcc3.diff
@@ -0,0 +1,11 @@
+--- ./routines.c.orig 2001-02-24 15:30:45.000000000 -0800
++++ ./routines.c 2003-02-07 13:38:09.000000000 -0800
+@@ -390,7 +390,7 @@
+ unsigned int d, h, m, s;
+ static char buf[22];
+
+- t = t * 100 / HZ;
++ t = t * 100. / HZ;
+ d = (int) (t / 8640000);
+ t = t - (long) (d * 8640000);
+ h = (int) (t / 360000);
diff --git a/source/a/procps/procinfo.lsm b/source/a/procps/procinfo.lsm
new file mode 100644
index 000000000..70ff559f6
--- /dev/null
+++ b/source/a/procps/procinfo.lsm
@@ -0,0 +1,15 @@
+Begin3
+Title: procinfo
+Version: 18
+Entered-date: 02MAR01
+Description: A utility to prettyprint /proc/*
+Keywords: procinfo, system info
+Author: svm@kozmix.cistron.nl (Sander van Malssen)
+Maintained-by: svm@kozmix.cistron.nl (Sander van Malssen)
+Primary-site: ftp.cistron.nl /pub/people/svm
+ 23k procinfo-18.tar.gz
+Alternate-site: metalab.unc.edu /pub/Linux/system/status/ps
+Alternate-site: tsx-11.mit.edu /pub/linux/sources/usr.bin
+Platforms: Linux 1.0.x - 2.4.x
+Copying-policy: GNU Public License
+End
diff --git a/source/a/procps/procps-3.2.7-ps-eip64.diff b/source/a/procps/procps-3.2.7-ps-eip64.diff
new file mode 100644
index 000000000..9eb851f44
--- /dev/null
+++ b/source/a/procps/procps-3.2.7-ps-eip64.diff
@@ -0,0 +1,48 @@
+--- procps-3.2.7/ps/ps.1.eip64 2007-06-14 11:08:35.000000000 +0200
++++ procps-3.2.7/ps/ps.1 2007-06-14 11:03:28.000000000 +0200
+@@ -1156,6 +1156,14 @@
+ or\ a\ decimal representation otherwise.
+ T}
+
++rip RIP T{
++64-bit instruction pointer.
++T}
++
++rsp RSP T{
++64-bit stack pointer.
++T}
++
+ rss RSS T{
+ resident set size, the non\-swapped physical memory that
+ a task has used (in\ kiloBytes).
+--- procps-3.2.7/ps/output.c.eip64 2007-06-14 11:08:24.000000000 +0200
++++ procps-3.2.7/ps/output.c 2007-06-14 10:58:21.000000000 +0200
+@@ -764,10 +764,18 @@
+ return snprintf(outbuf, COLWID, "%08x", (unsigned)(pp->kstk_esp));
+ }
+
++static int pr_rsp(char *restrict const outbuf, const proc_t *restrict const pp){
++ return snprintf(outbuf, COLWID, "%016lx", (unsigned long)(pp->kstk_esp));
++}
++
+ static int pr_eip(char *restrict const outbuf, const proc_t *restrict const pp){
+ return snprintf(outbuf, COLWID, "%08x", (unsigned)(pp->kstk_eip));
+ }
+
++static int pr_rip(char *restrict const outbuf, const proc_t *restrict const pp){
++ return snprintf(outbuf, COLWID, "%016lx", (unsigned long)(pp->kstk_eip));
++}
++
+ /* This function helps print old-style time formats */
+ static int old_time_helper(char *dst, unsigned long long t, unsigned long long rel) {
+ if(!t) return snprintf(dst, COLWID, " -");
+@@ -1403,7 +1411,9 @@
+ {"resident", "RES", pr_nop, sr_resident, 5,MEM, LNX, PO|RIGHT},
+ {"rgid", "RGID", pr_rgid, sr_rgid, 5, 0, XXX, ET|RIGHT},
+ {"rgroup", "RGROUP", pr_rgroup, sr_rgroup, 8, GRP, U98, ET|USER}, /* was 8 wide */
++{"rip", "RIP", pr_rip, sr_kstk_eip, 16, 0, LNX, TO|RIGHT},
+ {"rlink", "RLINK", pr_nop, sr_nop, 8, 0, BSD, AN|RIGHT},
++{"rsp", "RSP", pr_rsp, sr_kstk_eip, 16, 0, LNX, TO|RIGHT},
+ {"rss", "RSS", pr_rss, sr_rss, 5, 0, XXX, PO|RIGHT}, /* was 5 wide */
+ {"rssize", "RSS", pr_rss, sr_vm_rss, 5, 0, DEC, PO|RIGHT}, /*rsz*/
+ {"rsz", "RSZ", pr_rss, sr_vm_rss, 5, 0, BSD, PO|RIGHT}, /*rssize*/
diff --git a/source/a/procps/procps.SlackBuild b/source/a/procps/procps.SlackBuild
new file mode 100755
index 000000000..a5163bbc2
--- /dev/null
+++ b/source/a/procps/procps.SlackBuild
@@ -0,0 +1,191 @@
+#!/bin/sh
+
+# Copyright 2005-2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=3.2.7
+# Sometimes this number lags behind...
+SOVER=3.2.7
+PSMISCVER=22.3
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-3}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-procps
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+# Prepare build locations:
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf procps-$VERSION
+tar xzvf $CWD/procps-$VERSION.tar.gz
+cd procps-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/procps-$VERSION
+cp -a BUGS COPYING COPYING.LIB NEWS TODO $PKG/usr/doc/procps-$VERSION
+chown root:root $PKG/usr/doc/procps-$VERSION/*
+chmod 644 $PKG/usr/doc/procps-$VERSION/*
+# While I don't agree this is a harmful patch, I will defer to the
+# maintainer's judgement on this one. Besides, I quit using the '-'
+# with ps years ago. It wasn't that hard to change.
+#echo zcat $CWD/procps.nowarning.diff.gz
+#zcat $CWD/procps.nowarning.diff.gz | patch -p1 --verbose || exit 1
+
+# Display the location from which the user is logged in by default.
+# This is how previous versions of 'w' in Slackware have always
+# defaulted.
+echo zcat $CWD/procps.w.showfrom.diff.gz
+zcat $CWD/procps.w.showfrom.diff.gz | patch -p1 --verbose || exit 1
+
+if [ "$ARCH" = "x86_64" ]; then
+# Taken from RedHat: ps truncates eip and esp to 32bit values on 64bit systems.
+# The patch adds 64bit rip and rsp to the 'ps' output options on x86_64
+ zcat $CWD/procps-3.2.7-ps-eip64.diff.gz | patch -p1 --verbose || exit 1
+fi
+
+make OPT="$SLKCFLAGS"
+mkdir -p $PKG/lib${LIBDIRSUFFIX} $PKG/bin $PKG/sbin $PKG/usr/bin
+cat free > $PKG/bin/free
+cat ps/ps> $PKG/bin/ps
+cat proc/libproc-${SOVER}.so > $PKG/lib${LIBDIRSUFFIX}/libproc-${SOVER}.so
+cat pkill > $PKG/usr/bin/pkill
+cat skill > $PKG/usr/bin/skill
+cat pmap > $PKG/usr/bin/pmap
+cat slabtop > $PKG/usr/bin/slabtop
+cat sysctl > $PKG/sbin/sysctl
+cat tload > $PKG/usr/bin/tload
+cat top > $PKG/usr/bin/top
+cat uptime > $PKG/usr/bin/uptime
+cat vmstat > $PKG/usr/bin/vmstat
+cat w > $PKG/usr/bin/w
+cat watch > $PKG/usr/bin/watch
+( cd $PKG/usr/bin
+ ln -sf pkill pgrep
+ ln -sf skill snice
+ # Just in case
+ ln -sf /bin/free .
+ ln -sf /bin/ps .
+)
+cp -a ps/ps.1 .
+mkdir -p $PKG/usr/man/man1
+for page in free.1 pgrep.1 pkill.1 ps.1 slabtop.1 skill.1 snice.1 tload.1 top.1 uptime.1 w.1 watch.1 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
+done
+mkdir -p $PKG/usr/man/man5
+cat sysctl.conf.5 | gzip -9c > $PKG/usr/man/man5/sysctl.conf.5.gz
+mkdir -p $PKG/usr/man/man8
+for page in vmstat.8 sysctl.8 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
+done
+
+echo "+=============+"
+echo "| psmisc-$PSMISCVER |"
+echo "+=============+"
+cd $TMP
+rm -rf psmisc-$PSMISCVER
+tar xzvf $CWD/psmisc-$PSMISCVER.tar.gz
+cd psmisc-$PSMISCVER
+# Maybe we'll turn on NLS when it supports more than
+# just US English. :)
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --disable-nls
+mkdir -p $PKG/usr/doc/psmisc-$PSMISCVER
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/psmisc-$PSMISCVER
+chmod 644 $PKG/usr/doc/psmisc-$PSMISCVER/*
+chown root:root $PKG/usr/doc/psmisc-$PSMISCVER/*
+make
+cd src
+strip fuser pstree killall
+cat fuser > $PKG/usr/bin/fuser
+cat pstree > $PKG/usr/bin/pstree
+cat killall > $PKG/bin/killall
+cd ../doc
+for page in fuser.1 killall.1 pstree.1 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
+done
+cd ..
+
+echo "+=============+"
+echo "| procinfo-18 |"
+echo "+=============+"
+cd $TMP
+rm -rf procinfo-18
+tar xzvf $CWD/procinfo-18.tar.gz
+cd procinfo-18
+zcat $CWD/procinfo.gcc3.diff.gz | patch -p1 --backup --suffix=.orig --verbose || exit 1
+mkdir -p $PKG/usr/doc/procinfo-18
+cp -a CHANGES README $PKG/usr/doc/procinfo-18
+chmod 644 $PKG/usr/doc/procinfo-18/*
+chown root:root $PKG/usr/doc/procinfo-18/*
+make CFLAGS="$SLKCFLAGS"
+strip procinfo
+cat procinfo > $PKG/usr/bin/procinfo
+cat lsdev.pl > $PKG/usr/bin/lsdev
+cat socklist.pl > $PKG/usr/bin/socklist
+for page in procinfo.8 lsdev.8 socklist.8 ; do
+ cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
+done
+
+# Fix permissions:
+chmod 755 $PKG/lib${LIBDIRSUFFIX}/* $PKG/bin/* $PKG/sbin/* $PKG/usr/bin/*
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/procps-$VERSION-$ARCH-$BUILD.txz
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/procps-$VERSION
+ rm -rf $TMP/procinfo-18
+ rm -rf $TMP/psmisc-$PSMISCVER
+ rm -rf $PKG
+fi
diff --git a/source/a/procps/procps.nowarning.diff b/source/a/procps/procps.nowarning.diff
new file mode 100644
index 000000000..bd4b1466a
--- /dev/null
+++ b/source/a/procps/procps.nowarning.diff
@@ -0,0 +1,25 @@
+--- ./ps/parser.c.orig 2004-08-09 17:41:10.000000000 -0700
++++ ./ps/parser.c 2004-08-16 18:30:09.000000000 -0700
+@@ -1213,12 +1213,20 @@
+ // about "ps -aux" suddenly changing behavior if a user "x" were
+ // added to the system.
+ //
++ // Yes, this is still getting patched out here. IMO, people can change
++ // old habits if and when user 'x' comes along. I still find this warning
++ // to be a POLA violation. No offense... that's the beauty of open source.
++ // You've got your ideas about this, and I have mine, and we're allowed
++ // to disagree. Nothing in the UNIX or POSIX standards requires this (annoying)
++ // warning to be displayed, and we're not changing the actual behavior
++ // of ps in any way. I know of no other 'ps' that produces this message.
++ //
+ // Also, a "-x" option is coming. It's already there in fact,
+ // for some non-default personalities. So "ps -ax" will parse
+ // as SysV options... and you're screwed if you've been patching
+ // out the friendly warning. Cut-over is likely to be in 2005.
+- if(!(personality & PER_FORCE_BSD))
+- fprintf(stderr, "Warning: bad ps syntax, perhaps a bogus '-'? See http://procps.sf.net/faq.html\n");
++ // if(!(personality & PER_FORCE_BSD))
++ // fprintf(stderr, "Warning: bad ps syntax, perhaps a bogus '-'? See http://procps.sf.net/faq.html\n");
+ // Remember: contact albert@users.sf.net or procps-feedback@lists.sf.net
+ // if you should feel tempted. Be damn sure you understand all
+ // the issues. The same goes for other stuff too, BTW. Please ask.
diff --git a/source/a/procps/procps.w.showfrom.diff b/source/a/procps/procps.w.showfrom.diff
new file mode 100644
index 000000000..0b1c71a3e
--- /dev/null
+++ b/source/a/procps/procps.w.showfrom.diff
@@ -0,0 +1,11 @@
+--- ./w.c.orig 2002-12-21 05:30:33.000000000 -0800
++++ ./w.c 2003-02-02 11:46:58.000000000 -0800
+@@ -33,6 +33,8 @@
+
+ typedef struct utmp utmp_t;
+
++#define W_SHOWFROM 1
++
+ #ifdef W_SHOWFROM
+ # define FROM_STRING "on"
+ #else
diff --git a/source/a/procps/slack-desc b/source/a/procps/slack-desc
new file mode 100644
index 000000000..22cf9e0d2
--- /dev/null
+++ b/source/a/procps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+procps: procps (utilities for displaying process information)
+procps:
+procps: The procps package provides the classic set of utilities used to
+procps: display information about the processes currently running on the
+procps: machine.
+procps:
+procps:
+procps:
+procps:
+procps:
+procps: